Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.validation
Interface OWLValidationConstants

All Known Implementing Classes:
  ConstructChecker, Errors, Fixer, Processor, Processor2, SpeciesValidator, Validator

public interface OWLValidationConstants

Some useful constant values. Created: Fri May 16 12:48:58 2003

Version:
  $Id: OWLValidationConstants.java,v 1.2 2004/03/05 17:34:48 sean_bechhofer Exp $

Field Summary
`static int` | `BUILTINREDEFINITION`
`static int` | `CARDINALITY`
`static int` | `COMPLEMENT`
`static int` | `COMPLETE`
`static int` | `COMPLEXTRANSITIVE`
`static int` | `DATARANGE`
`static int` | `DATATYPE`
`static int` | `DIFFERENTINDIVIDUAL`
`static int` | `DISJOINT`
`static int` | `DL` Constant representing OWL-DL.
`static int` | `EQUIVALENCE`
`static int` | `EQUIVALENTPROPERTY`
`static int` | `EXPRESSIONINAXIOM`
`static int` | `EXPRESSIONINRESTRICTION`
`static int` | `FULL` Constant representing OWL-Full
`static int` | `FUNCTIONAL`
`static int` | `INDIVIDUALDATA`
`static int` | `INDIVIDUALS`
`static int` | `INTERSECTION`
`static int` | `INVERSE`
`static int` | `INVERSEFUNCTIONAL`
`static int` | `LITE` Constant representing OWL-Lite
`static int` | `ONEOF`
`static int` | `OWLNAMESPACEUSED`
`static int` | `PARTIAL`
`static int` | `RELATEDINDIVIDUALS`
`static int` | `SAMEINDIVIDUAL`
`static int` | `SEPARATIONVIOLATION`
`static int` | `SUBCLASS`
`static int` | `SUBPROPERTY`
`static int` | `SYMMETRIC`
`static int` | `TRANSITIVE`
`static int` | `UNION`
`static int` | `UNKNOWN`
`static int` | `UNTYPEDINDIVIDUAL`
`static int` | `ZEROONECARDINALITY`

Field Detail

### LITE

    public static final int LITE

  Constant representing OWL-Lite

  See Also:
    Constant Field Values

### DL

    public static final int DL

  Constant representing OWL-DL.

  See Also:
    Constant Field Values

### FULL

    public static final int FULL

  Constant representing OWL-Full

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### INTERSECTION

    public static final int INTERSECTION

See Also:
  Constant Field Values

### UNION

    public static final int UNION

See Also:
  Constant Field Values

### COMPLEMENT

    public static final int COMPLEMENT

See Also:
  Constant Field Values

### ZEROONECARDINALITY

    public static final int ZEROONECARDINALITY

See Also:
  Constant Field Values

### CARDINALITY

    public static final int CARDINALITY

See Also:
  Constant Field Values

### ONEOF

    public static final int ONEOF

See Also:
  Constant Field Values

### DATATYPE

    public static final int DATATYPE

See Also:
  Constant Field Values

### DATARANGE

    public static final int DATARANGE

See Also:
  Constant Field Values

### SUBCLASS

    public static final int SUBCLASS

See Also:
  Constant Field Values

### EQUIVALENCE

    public static final int EQUIVALENCE

See Also:
  Constant Field Values

### DISJOINT

    public static final int DISJOINT

See Also:
  Constant Field Values

### PARTIAL

    public static final int PARTIAL

See Also:
  Constant Field Values

### COMPLETE

    public static final int COMPLETE

See Also:
  Constant Field Values

### SUBPROPERTY

    public static final int SUBPROPERTY

See Also:
  Constant Field Values

### EQUIVALENTPROPERTY

    public static final int EQUIVALENTPROPERTY

See Also:
  Constant Field Values

### INVERSE

    public static final int INVERSE

See Also:
  Constant Field Values

### TRANSITIVE

    public static final int TRANSITIVE

See Also:
  Constant Field Values

### SYMMETRIC

    public static final int SYMMETRIC

See Also:
  Constant Field Values

### FUNCTIONAL

    public static final int FUNCTIONAL

See Also:
  Constant Field Values

### INVERSEFUNCTIONAL

    public static final int INVERSEFUNCTIONAL

See Also:
  Constant Field Values

### INDIVIDUALS

    public static final int INDIVIDUALS

See Also:
  Constant Field Values

### RELATEDINDIVIDUALS

    public static final int RELATEDINDIVIDUALS

See Also:
  Constant Field Values

### INDIVIDUALDATA

    public static final int INDIVIDUALDATA

See Also:
  Constant Field Values

### SAMEINDIVIDUAL

    public static final int SAMEINDIVIDUAL

See Also:
  Constant Field Values

### DIFFERENTINDIVIDUAL

    public static final int DIFFERENTINDIVIDUAL

See Also:
  Constant Field Values

### SEPARATIONVIOLATION

    public static final int SEPARATIONVIOLATION

See Also:
  Constant Field Values

### UNTYPEDINDIVIDUAL

    public static final int UNTYPEDINDIVIDUAL

See Also:
  Constant Field Values

### COMPLEXTRANSITIVE

    public static final int COMPLEXTRANSITIVE

See Also:
  Constant Field Values

### BUILTINREDEFINITION

    public static final int BUILTINREDEFINITION

See Also:
  Constant Field Values

### OWLNAMESPACEUSED

    public static final int OWLNAMESPACEUSED

See Also:
  Constant Field Values

### EXPRESSIONINAXIOM

    public static final int EXPRESSIONINAXIOM

See Also:
  Constant Field Values

### EXPRESSIONINRESTRICTION

    public static final int EXPRESSIONINRESTRICTION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb